const require_rolldown_runtime = require('../_virtual/rolldown_runtime.cjs');
const require_join_paths = require('../node_modules/.pnpm/@stryke_path@0.26.4/node_modules/@stryke/path/dist/join-paths.cjs');
let powerlines_types_context = require("powerlines/types/context");
let automd = require("automd");

//#region src/helpers/automd-generator.ts
function __assignType(fn, args) {
	fn.__type = args;
	return fn;
}
/**
* AutoMD generator to generate environment variable documentation
*
* @param context - The generator context.
* @returns The generated documentation content.
*/
const env = __assignType((context) => (0, automd.defineGenerator)({
	name: "env",
	generate: __assignType(async function generate() {
		const envDocFile = require_join_paths.joinPaths(context.config.projectRoot, "docs", "generated", "env.md");
		if (!context.fs.existsSync(envDocFile)) return { contents: "" };
		return { contents: await context.fs.read(envDocFile) || "" };
	}, ["generate", "P\"/!"])
}), [
	() => powerlines_types_context.__ΩUnresolvedContext,
	"context",
	"",
	"Pn!2\"\"/#"
]);

//#endregion
exports.env = env;